Package org.codehaus.groovy.util

## Class ArrayIterable<T>

- java.lang.Object
- - org.codehaus.groovy.util.ArrayIterable<T>

- All Implemented Interfaces:
    `Iterable<T>`

      public class ArrayIterable<T>
      extends Object
      implements Iterable<T>

  Allow an array to be used where an Iterable is expected.
  Since:
    3.0.8

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArrayIterable​(T[] array)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Iterator<T>` | `iterator()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### ArrayIterable

          public ArrayIterable​(T[] array)

  - ### Method Detail

    - #### iterator

          public Iterator<T> iterator()

      Specified by:
        `iterator` in interface `Iterable<T>`